From 3a48021f54a391357f8a60c8788f07d2f576a831 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 03 2021 07:25:53 +0000
Subject: [PATCH 2019/2232] Include lifetimes in error reporting spans


---

diff --git a/syntax/tokens.rs b/syntax/tokens.rs
index 757673d..7664427 100644
--- a/syntax/tokens.rs
+++ b/syntax/tokens.rs
@@ -153,6 +153,7 @@ impl ToTokens for ExternType {
         // Notional token range for error reporting purposes.
         self.type_token.to_tokens(tokens);
         self.name.rust.to_tokens(tokens);
+        self.generics.to_tokens(tokens);
     }
 }
 
@@ -161,6 +162,7 @@ impl ToTokens for TypeAlias {
         // Notional token range for error reporting purposes.
         self.type_token.to_tokens(tokens);
         self.name.rust.to_tokens(tokens);
+        self.generics.to_tokens(tokens);
     }
 }
 
@@ -169,6 +171,7 @@ impl ToTokens for Struct {
         // Notional token range for error reporting purposes.
         self.struct_token.to_tokens(tokens);
         self.name.rust.to_tokens(tokens);
+        self.generics.to_tokens(tokens);
     }
 }
 
@@ -177,6 +180,7 @@ impl ToTokens for Enum {
         // Notional token range for error reporting purposes.
         self.enum_token.to_tokens(tokens);
         self.name.rust.to_tokens(tokens);
+        self.generics.to_tokens(tokens);
     }
 }
 

